X

Ubuntu 20.04: Не запускается Openshot после обновления из PPA

После установки и запуска редактора Openshot получил уведомление, что есть обновления. Перешел на страницу редактора и увидел, что там предлагаю установить свежую версию добавив их PPA в систему. После того, как я это сделал и обновился редактор перестал запускаться..

Обновлял вот так

sudo add-apt-repository ppa:openshot.developers/ppa
sudo apt-get update
sudo apt-get install openshot-qt

При попытке запуска через иконку приложение просто падало.

При попытке запуска из консоли получил такую ошибку

$ openshot-qt

Loaded modules from installed directory: /usr/lib/python3/dist-packages/openshot_qt
         app:INFO ------------------------------------------------
         app:INFO             Wed Jun 24 10:38:17 2020            
         app:INFO               Starting new session              
         app:INFO ------------------------------------------------
         app:INFO          OpenShot (version 2.5.1-dev2)          
         app:INFO ------------------------------------------------
         app:INFO openshot-qt version: 2.5.1-dev2
     metrics:ERROR Error determining OS version in metrics.py
      logger:ERROR Traceback (most recent call last):
      logger:ERROR   File "/usr/bin/openshot-qt", line 11, in <module>
      logger:ERROR load_entry_point('openshot-qt==2.5.1.dev2', 'gui_scripts', 'openshot-qt')()
      logger:ERROR   File "/usr/lib/python3/dist-packages/openshot_qt/launch.py", line 97, in main
      logger:ERROR app = OpenShotApp(argv)
      logger:ERROR   File "/usr/lib/python3/dist-packages/openshot_qt/classes/app.py", line 115, in __init__
      logger:ERROR from classes import exceptions
      logger:ERROR   File "/usr/lib/python3/dist-packages/openshot_qt/classes/exceptions.py", line 30, in <module>
      logger:ERROR from classes.metrics import track_exception_stacktrace
      logger:ERROR   File "/usr/lib/python3/dist-packages/openshot_qt/classes/metrics.py", line 83, in <module>
      logger:ERROR "cd1": openshot.OPENSHOT_VERSION_FULL,  # Dimension 1: libopenshot version
      logger:ERROR AttributeError
      logger:ERROR :
      logger:ERROR module 'openshot' has no attribute 'OPENSHOT_VERSION_FULL'
         app:INFO             OpenShot's session ended            
         app:INFO             Wed Jun 24 10:38:17 2020            
         app:INFO ================================================

Немного погуглив, нашел решение - нужно установить/обновить python3-openshot, вот так

sudo apt-get install python3-openshot

После установки этого пакета все заработало.

Категории: Linux Бездна
Тэги: openshotubuntu